Skip to content

Set new sandbox entitlements, including granting and revoking allowances, for the given sandbox name.

POST/api/{version}/objects/sandbox/entitlements/set
NameDescription
Acceptapplication/json (default) or application/xml
Content-Typeapplication/x-www-form-urlencoded
curl -X POST -H "Authorization: {SESSION_ID}" \ 'https://myvault.veevavault.com/api/v24.1/objects/sandbox/entitlements/set' \ -H 'Content-Type: application/x-www-form-urlencoded' \ -d 'name=VeePharm Sandbox' \ -d 'size=Small' \ -d 'allowance=1' \ -d 'grant=true'
{ "responseStatus": "SUCCESS", "data": { "entitlements": [ { "size": "Small", "available": 2, "allowed": 4, "temporary": 0 }, { "size": "Large", "available": 2, "allowed": 2, "temporary": 0 }, { "size": "Full", "available": 0, "allowed": 1, "temporary": 0 } ] } }